Bug 52191 - kdm does not work with XFree86/fbdev server
Summary: kdm does not work with XFree86/fbdev server
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-21 16:03 UTC by Gerald Teschl
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-10 10:34:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree config file (2.52 KB, text/plain)
2001-09-10 10:31 UTC, Gerald Teschl
no flags Details
X server log (4.77 KB, text/plain)
2001-09-10 10:32 UTC, Gerald Teschl
no flags Details

Description Gerald Teschl 2001-08-21 16:03:14 UTC
kdebase-2.2-4

If I use the XFree86 server with the fbdev driver, kdm will not start
up correctly. gdm works fine and so does kde.

In the logs I get:
Aug 21 17:55:27 soliton modprobe: modprobe: Can't locate module char-major-
81
Aug 21 17:55:29 soliton modprobe: modprobe: Can't locate module char-major-
81
Aug 21 17:55:32 soliton kdm[1043]: Server for display :0 terminated 
unexpectedly
Aug 21 17:55:33 soliton modprobe: modprobe: Can't locate module char-major-
81
Aug 21 17:55:34 soliton modprobe: modprobe: Can't locate module char-major-
81
Aug 21 17:55:37 soliton kdm[1043]: Server for display :0 terminated 
unexpectedly
.........

Comment 1 Glen Foster 2001-08-21 20:32:34 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 2 Bernhard Rosenkraenzer 2001-08-22 08:37:50 UTC
Must be a problem with the fbdev server - kdm works just fine on everything 
else. Reassigning.


Comment 3 Mike A. Harris 2001-09-06 14:09:55 UTC
What video card is this?

Please attach XFree86 logs, and config files to bug report.

Comment 4 Gerald Teschl 2001-09-10 10:31:50 UTC
Created attachment 31456 [details]
XFree config file

Comment 5 Gerald Teschl 2001-09-10 10:32:46 UTC
Created attachment 31457 [details]
X server log

Comment 6 Gerald Teschl 2001-09-10 10:34:20 UTC
This is an SMI Lynx card (see beta hw #12) for further info.

Comment 7 Mike A. Harris 2001-11-01 12:45:03 UTC
We do not support using silicon motion on framebuffer.  Please configure
the card using Xconfigurator --preferxf3 or Xconfigurator --preferxf4
to force using a 3.3.6 or 4.1.0 X server respectively.  Report this bug
upstream to XFree86 directly at xfree86@xfree86.org, and the Silicon Motion
maintainer can look into the matter.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.